#
# spec file for package gtkglarea (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel libtiff mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         gtkglarea
Copyright:    GPL
Group:        X11/Libraries
Provides:     gtkglare
Obsoletes:    gtkglare
Autoreqprov:  on
Summary:      An OpenGL widget for GTK+
URL:          http://www.student.oulu.fi/~jlof/gtkglarea/
Version:      1.2.2
Release:      150
Source: gtkglarea-%{version}.tar.gz
BuildRoot:    /var/tmp/%{name}-build

%description
This package contains a widget for the GTK+ toolkit, which allows
you to program OpenGL under GTK+. It is needed by xtraceroute.

Authors:
--------
    Janne Lf <jlof@mail.student.oulu.fi>

SuSE series: x3d

%prep
%setup -n gtkglarea-%{version}
# %patch
%{?suse_update_config:%{suse_update_config -f }}

%build
./configure --prefix=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%doc AUTHORS COPYING ChangeLog NEWS README docs/*.txt
/usr/include/gtkgl
/usr/lib/libgtkgl.a
/usr/lib/libgtkgl.la
/usr/lib/libgtkgl.so
/usr/lib/libgtkgl.so.*
/usr/share/aclocal/*

%changelog -n gtkglarea
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Mon Mar 12 2001 - nadvornik@suse.cz
- added mesaglu mesaglu-devel to neededforbuild
* Fri Mar 09 2001 - ro@suse.de
- added xf86
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Nov 10 2000 - nadvornik@suse.cz
- renamed gtkglare -> gtkglarea
* Sat Nov 04 2000 - kukuk@suse.de
- use long package names in neededforbuild
* Fri Aug 25 2000 - nadvornik@suse.cz
- update to 1.2.2
- added BuildRoot
* Sat Jun 03 2000 - kukuk@suse.de
- Add mesadev to need for build
- Use docdir macro
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Sun Mar 21 1999 - ro@suse.de
- fixed specfile
* Thu Feb 04 1999 - kettner@suse.de
- Created packet for version 1.2
